{
    "name": "halo6",
    "version": "0.1.0",
    "private": true,
    "dependencies": {
        "react": "^16.14.0",
        "react-dom": "^16.14.0",
        "react-scripts": "3.4.3",
        "styled-components": "^5.2.0"
    },
    "devDependencies": {
        "@testing-library/jest-dom": "^4.2.4",
        "@testing-library/react": "^9.5.0",
        "@testing-library/user-event": "^7.2.1",
        "@types/jest": "^24.9.1",
        "@types/node": "^12.12.67",
        "@types/react": "^16.9.52",
        "@types/react-dom": "^16.9.8",
        "@types/styled-components": "^5.1.4",
        "eslint-config-prettier": "^6.12.0",
        "husky": "^4.3.0",
        "jest-junit": "^12.0.0",
        "lint-staged": "^10.4.0",
        "prettier": "^2.1.2",
        "typescript": "^3.7.5"
    },
    "scripts": {
        "build": "react-scripts build",
        "eslint:check": "eslint --ext .js,.jsx,.ts,.tsx src/",
        "lint:all": "typescript:check && eslint:check && prettier:check",
        "prettier:check": "prettier --check **/*.{json,html,ts,tsx,js,css,md}",
        "prettier:fix": "prettier --write **/*.{json,html,ts,tsx,js,css,md}",
        "start": "react-scripts start",
        "test": "react-scripts test",
        "test:coverage": "npm run test -- --coverage --watchAll=false",
        "typescript:check": "tsc --noEmit"
    },
    "eslintConfig": {
        "extends": "react-app"
    },
    "browserslist": {
        "production": [
            ">0.2%",
            "not dead",
            "not op_mini all"
        ],
        "development": [
            "last 1 chrome version",
            "last 1 firefox version",
            "last 1 safari version"
        ]
    },
    "jest": {
        "collectCoverageFrom": [
            "./src"
        ],
        "coverageReporters": [
            "text"
        ],
        "coverageThreshold": {
            "global": {
                "branches": 80,
                "functions": 80,
                "lines": 80,
                "statements": 80
            }
        }
    },
    "husky": {
        "hooks": {
            "pre-commit": "lint-staged"
        }
    },
    "lint-staged": {
        "*.{json,html,ts,tsx,js,css,md}": "prettier --write"
    }
}
